{"componentChunkName":"component---src-templates-docs-js","path":"/whatsapp/whatsapp_flows/examples","result":{"data":{"site":{"siteMetadata":{"title":"broadcaster","docsLocation":"https://github.com","docsLocationType":"github","editable":false}},"mdx":{"fields":{"id":"86e2c3a9-5c6b-538e-8379-a630948452aa","title":"Ejemplos","slug":"/whatsapp/whatsapp_flows/examples"},"body":"function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }\n\nfunction _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }\n\n/* @jsx mdx */\nvar _frontmatter = {\n  \"title\": \"Ejemplos\",\n  \"order\": 2\n};\nvar layoutProps = {\n  _frontmatter: _frontmatter\n};\nvar MDXLayout = \"wrapper\";\nreturn function MDXContent(_ref) {\n  var components = _ref.components,\n      props = _objectWithoutProperties(_ref, [\"components\"]);\n\n  return mdx(MDXLayout, _extends({}, layoutProps, props, {\n    components: components,\n    mdxType: \"MDXLayout\"\n  }), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Crear Flow\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}' \\\\\\n--header 'Content-Type: application/json' \\\\\\n--header 'Authorization: Bearer {{token}}' \\\\\\n--data '{\\n    \\\"name\\\": \\\"New flow name\\\",\\n    \\\"categories\\\": [ \\\"CUSTOMER_SUPPORT\\\" ],\\n    \\\"clone_flow_id\\\": \\\"flow-1\\\",\\n    \\\"endpoint_uri\\\": \\\"https://example.com\\\"\\n}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Subir Flow JSON\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/assets' \\\\\\n--header 'Authorization: Bearer {{token}}' \\\\\\n--form 'file=@\\\"/file/path/flows_body.json\\\"'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Actualizar Metadata\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request PUT 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}' \\\\\\n--header 'Content-Type: application/json' \\\\\\n--header 'Authorization: Bearer {{token}}' \\\\\\n--data '{\\n    \\\"name\\\": \\\"New flow name\\\",\\n    \\\"categories\\\": [ \\\"CUSTOMER_SUPPORT\\\" ],\\n    \\\"endpoint_uri\\\": \\\"https://example.com\\\"\\n}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Listar todos los Flows por WABA\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}' \\\\\\n--header 'Authorization: Bearer {{token}}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Obtener informaci\\xF3n de un Flow\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/details' \\\\\\n--header 'Authorization: Bearer {{token}}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Eliminar un Flow\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request DELETE 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}' \\\\\\n--header 'Authorization: Bearer {{token}}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Publicar un Flow\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/publish' \\\\\\n--header 'Authorization: Bearer {{token}}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Flow obsoleto\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/deprecate' \\\\\\n--header 'Authorization: Bearer {{token}}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Cifrado de Flows\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{phone_number}}/encryption' \\\\\\n--header 'Authorization: Bearer {{token}}' \\\\\\n--header 'Content-Type: application/x-www-form-urlencoded' \\\\\\n--data-urlencode 'business_public_key=-----BEGIN PUBLIC KEY-----\\nAAA\\nBBB\\nCCC\\nDDD\\nEEE\\nFFF\\nGGG\\n-----END PUBLIC KEY-----'\\n\"))));\n}\n;\nMDXContent.isMDXComponent = true;","tableOfContents":{"items":[{"url":"#crear-flow","title":"Crear Flow"},{"url":"#subir-flow-json","title":"Subir Flow JSON"},{"url":"#actualizar-metadata","title":"Actualizar Metadata"},{"url":"#listar-todos-los-flows-por-waba","title":"Listar todos los Flows por WABA"},{"url":"#obtener-información-de-un-flow","title":"Obtener información de un Flow"},{"url":"#eliminar-un-flow","title":"Eliminar un Flow"},{"url":"#publicar-un-flow","title":"Publicar un Flow"},{"url":"#flow-obsoleto","title":"Flow obsoleto"},{"url":"#cifrado-de-flows","title":"Cifrado de Flows"}]},"timeToRead":1,"parent":{"__typename":"File","relativePath":"whatsapp/whatsapp_flows/examples.md","fields":{"gitLogLatestAuthorName":"Jimena Acevedo - JC","gitLogLatestAuthorEmail":"jimena-acevedo@192.168.1.67","gitLogLatestDate":"3 days ago"}},"frontmatter":{"metaTitle":null,"showMetadata":null,"editable":null,"showPreviousNext":null,"showToc":null}},"gitBranch":{"name":"DEV"},"gitCommit":{"hash":"456be35532012cb399c2f67dcdb4de107acfb5bc","date":"2026-10-19 05:45"}},"pageContext":{"id":"86e2c3a9-5c6b-538e-8379-a630948452aa"}},"staticQueryHashes":["12478684","12478684","2882937274","2882937274","353167761","353167761"]}